summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPhilipp A2017-07-24 13:18:58 +0200
committerPhilipp A2017-07-24 13:18:58 +0200
commit540ae022c274f61128ee458d0b46f67594cc253e (patch)
tree8b1516bab3602e6f988890a59abf6016d10ae47e
downloadaur-python-collective-checkdocs.tar.gz
initial commit
-rw-r--r--.SRCINFO14
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD16
3 files changed, 34 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..d2e3c83c2ae
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = python-collective-checkdocs
+ pkgdesc = Distutils command to view and validate restructured text in package’s long_description
+ pkgver = 0.2
+ pkgrel = 1
+ url = https://github.com/collective/collective.checkdocs
+ arch = any
+ license = GPL
+ depends = python
+ depends = python-docutils
+ source = https://pypi.python.org/packages/source/c/collective.checkdocs/collective.checkdocs-0.2.zip
+ md5sums = 472a6c7cafad4ee274c905ebd1603fb3
+
+pkgname = python-collective-checkdocs
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..125d0b52ffc
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+/src/
+/pkg/
+/*.zip
+/*.pkg.tar.xz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..33b5d32c153
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,16 @@
+_name=collective.checkdocs
+pkgname=python-collective-checkdocs
+pkgver=0.2
+pkgrel=1
+pkgdesc='Distutils command to view and validate restructured text in package’s long_description'
+arch=(any)
+url="https://github.com/collective/$_name"
+license=(GPL)
+depends=(python python-docutils)
+source=("https://pypi.python.org/packages/source/${_name::1}/$_name/$_name-$pkgver.zip")
+md5sums=('472a6c7cafad4ee274c905ebd1603fb3')
+
+package() {
+ cd "$_name-$pkgver"
+ python setup.py install --root="$pkgdir" --optimize=1 || return 1
+}